# Class: Submit

## jala.Form.Component.Submit(name)

Subclass of jala.Form.Component.Button which renders a submit button.

## Constructor

#### new Submit(name)

Creates a new Submit component instance

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | Name of the component, used as name of the html controls.

Source:
  - jala/code/Form.js, line 2405

##### Returns:

A newly created Submit component

### Methods

#### renderControls()

Creates a new attribute object for this button.

Source:
  - jala/code/Form.js, line 2418

##### Returns:

Object with all attributes set for this button.